%define major                 1
%define libname               %mklibname netfilter_queue %{major}
%define libnamedevel          %mklibname netfilter_queue -d

Name:           libnetfilter_queue
Version:        1.0.5
Release:        %mkrel 1
Epoch:          0
Summary:        Provides an API for packets that have been queued by the kernel packet filter
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnetfilter_queue/index.html
Source0:        http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.bz2
Source1:        http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.bz2.sig
BuildRequires: pkgconfig(libmnl) >= 1.0.3
BuildRequires: pkgconfig(libnfnetlink) >= 0.0.41

%description
libnetfilter_queue is a userspace library providing an API to
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{epoch}:%{version}-%{release}
Provides:       netfilter_queue = %{epoch}:%{version}-%{release}

%description -n %{libname}
libnetfilter_queue is a userspace library providing an API for
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}netfilter_queue1-devel < %{epoch}:%{version}-%{release}
Provides:       netfilter_queue-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%{configure} --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
%make_build check

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_queue/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_queue.pc


%changelog
* Mon Nov 02 2020 luigiwalser <luigiwalser> 0:1.0.5-1.mga8
+ Revision: 1641671
- 1.0.5
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 13 2020 umeabot <umeabot> 0:1.0.3-3.mga8
+ Revision: 1514300
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0:1.0.3-2.mga7
+ Revision: 1299042
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 0:1.0.3-1.mga7
+ Revision: 1216240
- Update to version 1.0.3

* Mon Feb 08 2016 umeabot <umeabot> 0:1.0.2-6.mga6
+ Revision: 947958
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0.2-5.mga5
+ Revision: 744831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.0.2-4.mga5
+ Revision: 681644
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:1.0.2-3.mga4
+ Revision: 507203
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:1.0.2-2.mga3
+ Revision: 357845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 0:1.0.2-1.mga3
+ Revision: 303758
- update file list
- add more br
- new version 1.0.2
- new version 1.0.2
+ dlucio <dlucio>
- new release 1.0.1
- we dont provide static devel
- First import
- imported package libnetfilter_queue

